package com.its.web.mapper.its.notice;

import com.its.web.dto.notice.NoticeDto;
import com.its.web.pagination.Pagination;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface NoticeMapper {

    NoticeDto findNoticeById(Long boardNo);

    int getNoticeTotalCount();

    List<NoticeDto> findAllNotice(Pagination page);

    List<NoticeDto> findMainNotice(int num);

    int getAttachFileCount(Map<String, String> paramMap);

    int deleteBoard(String boardNo);

    int insertNotice(Map<String, Object> paramMap);

    int checkImageName(Map<String, Object> paramMap);

    int updateNotice(Map<String, Object> paramMap);

    int updateNoticeReadCount(String boardNo);
}
